<?php
namespace FiloBlu\ExtMailChimp\Block\Adminhtml\System\Config\Form\Field;

use FiloBlu\ExtMailChimp\Helper\Data;
use Magento\Framework\View\Element\Context;
use Magento\Framework\View\Element\Html\Select;

/**
 * Class VarsMap
 * @package FiloBlu\ExtMailChimp\Block\Adminhtml\System\Config\Form\Field
 */
class VarsMap extends Select
{
    /**
     * @var Data
     */
    private $helperData;

    /**
     * VarsMap constructor.
     * @param Context $context
     * @param Data $helperData
     * @param array $data
     */
    public function __construct(
        Context $context,
        Data $helperData,
        array $data = []
    )
    {
        parent::__construct($context, $data);
        $this->helperData = $helperData;
    }

    /**
     * @param $value
     * @return mixed
     */
    public function setInputName($value)
    {
        return $this->setData('name', $value);
    }

    /**
     * Render block HTML
     *
     * @return string
     */
    public function _toHtml()
    {
        if (!$this->getOptions()) {
            foreach ($this->helperData->getSubscriberAttributes() as $attId => $attLabel) {
                $this->addOption($attId, $this->escapeHtmlAttr($attLabel));
            }
        }
        return parent::_toHtml();
    }
}
